Subject: Re: [PATCH v2 16/18] gnu: Add clojure-com-cognitect-aws-s3.

From: Maxime Devos <[email-masked]>
Date: Sat, 26 Mar 2022 11:03:49 +0100

Reily Siegel schreef op wo 16-03-2022 om 13:44 [+0100]:
> +(define-public clojure-com-cognitect-aws-s3
> +  (package
> +    (inherit clojure-com-cognitect-aws-api)
> +    (name "clojure-com-cognitect-aws-s3")
> +    (version "814.2.991.0")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append "https://repo1.maven.org/maven2/"
> +                                  "com/cognitect/aws/s3/"
> +                                  version "/s3-"
> +                                  version "-sources.jar"))
> +              (sha256
> +               (base32
> +                "0aw3mpddmnjmp45vbmv1l47jn84lgq866fy9mg4wf1x2lqdyhigh"))))

Nevermind my previous comments about ‘All rights reserved’, this seems
to be a leftover of the 1910
(https://en.wikipedia.org/wiki/All_rights_reserved).

However, I still do not have proof that it is actually ASL2.0 license
-- I don't consider pom.xml to be proof by itself, because I often see
packages where the license mentioned in the source files does not match
the license in their equivalent of pom.xml or README.

> +    (native-inputs '())
> +    (propagated-inputs '())
> +    (arguments
> +     '(#:doc-dirs '()
> +       ;; This package has no tests.
> +       #:tests? #f

Alternatively, you can try #:test-dirs '() here.  I don't know what
would be better here.

Greetings,
Maxime.